﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Maps
{
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();
		}

        private void ImageryLayer_MarkerSelected(object sender, Syncfusion.SfMaps.XForms.MarkerSelectedEventArgs e)
        {
            layer.GeoCoordinates = new Point(0, 0);
            sfmap.ZoomLevel = 0;
            double latitude = Convert.ToDouble(e.MapMarker.Latitude);
            double longitude = Convert.ToDouble(e.MapMarker.Longitude);

            layer.GeoCoordinates = new Point(latitude, longitude);
            sfmap.ZoomLevel = 4;
        }
    }  
}
